Display corruption

Bug #1492580 reported by Peter on 2015-09-05
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-ati (Ubuntu)
Medium
Unassigned

Bug Description

I am running a newly installed and updated Ubuntu 14.04.3 LTS on a Samsung P500 Laptop (Model NP-P500I, NP-P500-RA01DE). I guess this issue is related to the graphics card, which is a Radeon Xpress 1250.

The display corruption occurs directly after login on the top of the screen and i mentioned something at the bottom of the search window. I attached screenshots of it.

I see similar corruption with ubuntu 15.04.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xorg 1:7.7+1ubuntu8.1
ProcVersionSignature: Ubuntu 3.19.0-26.28~14.04.1-generic 3.19.8-ckt4
Uname: Linux 3.19.0-26-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.14.1-0ubuntu3.12
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Sat Sep 5 14:05:22 2015
DistUpgraded: Fresh install
DistroCodename: trusty
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] RS600M [Radeon Xpress 1250] [1002:7942] (prog-if 00 [VGA controller])
   Subsystem: Samsung Electronics Co Ltd Device [144d:c034]
InstallationDate: Installed on 2015-09-05 (0 days ago)
InstallationMedia: Ubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64 (20150805)
MachineType: SAMSUNG ELECTRONICS CO., LTD. R59P/R60P/R61P
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-26-generic root=UUID=baa0aac5-0549-40cc-b292-1b9a4af32753 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/26/2008
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: 09YI
dmi.board.name: R59P/R60P/R61P
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 1
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvr09YI:bd09/26/2008:svnSAMSUNGELECTRONICSCO.,LTD.:pnR59P/R60P/R61P:pvr02YI:rvnSAMSUNGELECTRONICSCO.,LTD.:rnR59P/R60P/R61P:rvr:cvnSAMSUNGELECTRONICSCO.,LTD.:ct1:cvrN/A:
dmi.product.name: R59P/R60P/R61P
dmi.product.version: 02YI
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.
version.compiz: compiz 1:0.9.11.3+14.04.20150313-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.60-2~ubuntu14.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri N/A
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A
xserver.bootTime: Sat Sep 5 13:47:09 2015
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.17.1-0ubuntu3~trusty1
xserver.video_driver: radeon

Peter (peter-harke-u) wrote :
Timo Aaltonen (tjaalton) wrote :

you could try enabling ppa:canonical-x/x-staging and updating the packages, it comes with a newer mesa which might fix this

affects: xorg (Ubuntu) → xserver-xorg-video-ati (Ubuntu)
Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Incomplete
Peter (peter-harke-u) wrote :

I enabled ppa:canonical-x/x-staging. Corruption looks now a little different, but is still there.

tags: added: latest-bios-09yi vivid
Changed in xserver-xorg-video-ati (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged

Peter, to see if this is already resolved in Ubuntu, could you please test for this via http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

Changed in xserver-xorg-video-ati (Ubuntu):
status: Triaged → Incomplete
Micha (m-st-w) wrote :

Its a pure Horror here....there are massive problems with this goddamn X1250 around all distros - and noone is able to fix this shit in all that time???? AAAARRRRRGHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH!

I posted X reports by myself in the last months/years - here, Mint, Debian, I´ve written Emails to ~20 persons involved in the driver-development - and nothing helps....the bugtrackers in Ubuntu, Mint, Linux are so unbelievebale senseless and such a waste of time.....when should the problem being fixed? 2048? Its simply a joke whats going on here...!

But to make you happy and troll not around all the time, I try the fucking link now....even if I already know that it does NOT help - and this damn problem is NOT Mesa-related - its a bug in the damn free community-Radeon driver.

Micha (m-st-w) wrote :

As said, waste of time.

Same issues in the latest daily-build xenial-desktop-amd64.iso, 10-Feb-2016 08:03.

PLEASE PLEASE PLEASE buy such a goddamn Laptop (Samsung R40 for example) by yourself and simply fix the Radeon-driver instead of talking here the next years or users learnt C and so on and fixed it by theirself in the meanwhile! LOL

Its just a joke whats going on here....! Remove the X1250 from the list here
https://wiki.ubuntuusers.de/Grafikkarten/AMD/radeon/

IMMEDIATELY (!!!!) - or fix THE FU..... DRIVER! I am so goddamn pissed about the situation.....not hours, not months, YEARS - and still no solution. Shame on you Ubuntu- and Radeon-driver-developers!

Micha (m-st-w) wrote :

(of course AMD should shame, too cause they stopped their good driver at least) - but all in all I think it´s more shame that Ubuntu and the Radeon-driver-guys do not get this problem fixed in all that time....since YEARS.......

However, please fix this list immediately or - better - fix the fucking Radeondriver asap.
https://wiki.ubuntuusers.de/Grafikkarten/AMD/radeon/

Micha (m-st-w) on 2016-02-10
Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Confirmed

Micha, ranting around on Launchpad is never going to motivate developers to want to fix a problem.

If you personally (not someone else, on some other report) have an issue with the radeon driver for your hardware, it will help immensely if you filed a new report with Ubuntu by ensuring you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information running the following from a terminal:
ubuntu-bug xorg

Also, please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Incomplete
Arc (futahito-arc) wrote :

The situation is pretty goddamn ridiculous. No matter how many bugs are filed (I personally filed one long time ago and I've seen several complete reports just being tossed aside) nobody really cares about such a huge problem in driver. Philosophy of linux was supposed to be breathing a new life in old hardware. Where did that go? Is asking driver to be complete (or, at the very least, taking ATI rs600m from the list of supported by open driver so people won't get fooled by empty promises) is too much?
This is just ridiculous.

Arc, I'm not sure how ranting on Launchpad is going to motivate anyone to fix this issue.

If you want to actually help towards getting this issue resolved, it will help immensely if you filed a new report with Ubuntu by ensuring you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information running the following from a terminal:
ubuntu-bug xorg

Also, please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Arc (futahito-arc) wrote :

Well, there's nothing else left for people, who were lucky enough to get this goddamn videocard. Also, your template messages are not giving me the feeling that someone noticed the bug and even glanced at all the information I already provided (actually, are you a bot? You might be a bot).

Arc, when someone on Launchpad has a lot to say, they are either wasting time ranting (never helpful), or performing something of value, like providing requested information, helping triage reports, and providing code fixes. Which one are you doing here?

>"there's nothing else left for people"

I'm not sure how that is the case, given you have already been previously requested to file a new report. However, if you just want to waste time, rant, etc. I'll leave you to it, but be confident in the fact it usually doesn't manifest a developer swooping in and fixing an issue.

Arc (futahito-arc) wrote :

Christopher, if you look at my bug, you might, for a second, see that I provided all the information and additional details on 2014-10-25. I have not heard a single message or a request for more information from you after that. Bug is in "Confirmed" status. Explain to me in human language, why a new identical bug report should be filed on top of the previous one should be helpful. All the information is there and not just from me, but from all the other people too (see https://bugs.freedesktop.org/show_bug.cgi?id=35998 ). If I would be able to fix issue, I'd fix it a long time ago.
https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1382772

The funny thing is, #radeon IRC channel was infinitely more helpful than collective knowledge of launchpad. Didn't fix it despite all the attempts but at least people cared enough to suggest some solutions, which is, apparently, more than anyone here can provide.

Arc, as you may have noticed, you claimed then it was a Unity issue, and it was refiled to that.

This report is scoped to the radeon driver (not Unity).

Hence, I already advised you to report a radeon report, and not only have you not done that, you are being rude, and attacking me.

Despite this, that's great you found some help from radeon upstream, but I'm not sure how the above approach is going to best facilitate a permanent fix being identified, and then incorporated into Ubuntu.

Arc (futahito-arc) wrote :

I am sorry if any of my messages looked like personal attacks, I just wanted to express that nothing was done to communicate any of the information to me in any way. Of course situation like this is extremely frustrating not just for me, but for all unlucky rs600m owners. I understand that people are busy with their own work, but consider this: Ubuntu claims to be an OS friendly to newcomers. In my search for any kind of help not only I had to file a bug, collect information, try different distros, do research on ubuntu forums, google things left and right, but I also have to understand the hierarchy and separation between developers.

I don't mind that my graphics card is pretty much crippled and 3d support is just non existent. What I really worry about is that there are people who are new to linux. They encounter the problem and file a bug in hope that it would get resolved and they get nothing. That's the saddest part, because I love Canonical (despite mir) and with this approach Ubuntu just won't fly.

Anyways, thank you for being professional despite me being rude (again, please understand, this issue is a couple years old and still not resolved which leads to frustration) and for this wall of text. I guess, that's it with launchpad for me?

Arc, no problem on my end, I just want to see your issue resolved.

I also have had issues outstanding for longer then I would have liked. For example, one that will never be fixed due to upstream support ceasing, and the software is proprietary (i.e. no open source developers may change it).

Despite this, for those issues I have that can be fixed, I make sure to file a net new report, back test to rule out a regression, test the latest version of Ubuntu, fully document everything I personally tried to resolve the issue, and then make a net new report upstream, testing the latest available from them.

Speaking about upstream (ex. Freedesktop.org) specifically, they have made it known they want to see each original reporter file separate reports upstream (after testing the latest upstream release), and then they at their discretion mark it a duplicate of another upstream report.

Downstream in Ubuntu, the same preference exists for Launchpad in order to keep reports easy to follow, not mix-and-match hardware and issues unless a developer makes that call, and keep the focus on the original reporter, and their issue.

It still would be helpful to have you file a new report against xorg, so it's focused squarely on you, your hardware, and your radeon driver issue.

Thanks for your understanding.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.